dpkg-deb(1)

NOME
dpkg-deb - strumento per la manipolazione di archivi di pacchetto Debian (.deb)

SINTASSI
dpkg-deb [opzione...] comando

DESCRIZIONE
dpkg-deb impacchetta, spacchetta e fornisce informazioni sugli archivi Debian.

Usare dpkg per installare e rimuovere pacchetti dal sistema.

Si può anche invocare dpkg-deb eseguendo dpkg con qualsiasi opzione si desidera passare a dpkg-deb. dpkg capirà che si desidera eseguire dpkg-deb e lo farà.

For most commands taking an input archive argument, the archive can be read from standard input if the archive name is given as a single minus character («-»); otherwise lack of support will be documented in their respective command description.

COMANDI

-b, --build directory [archivio|directory]
    Crea un archivio Debian a partire dall'albero del file system contenuto in directory. directory deve avere una sottodirectory DEBIAN contenente i file con le informazioni di controllo, come il file control stesso. Questa directory non sarà presente nell'archivio del file system del pacchetto binario, ma i file saranno invece messi nell'area delle informazioni di controllo del pacchetto binario. Unless you specify --nocheck, dpkg-deb will read DEBIAN/control and parse it. It will check the file for syntax errors and other problems, and display the name of the binary package being built. dpkg-deb will also check the permissions of the maintainer scripts and other files found in the DEBIAN control information directory. Se non viene specificato alcun archivio, allora dpkg-deb scrive il pacchetto nel file directory.deb. Se l'archivio da creare è già presente, esso verrà sovrascritto. Se il secondo argomento è una directory, allora dpkg-deb scrive nel file pacchetto_versione_arch.deb, o in pacchetto_versione.deb se non è presente alcun campo Architecture nel file control del pacchetto. Quando viene specificata una directory target, invece di un file, l'opzione --nocheck non può essere usata (dato che dpkg-deb necessita di leggere e analizzare il file control del pacchetto per determinare quale nome di file utilizzare).

-I, --info archivio [nomefile-di-controllo...]
    Fornisce informazioni su un archivio di pacchetto binario. Se non è specificato alcun nomefile-di-controllo, allora visualizza un riassunto dei contenuti del pacchetto oltre al suo file di controllo. Se è specificato almeno un nomefile-di-controllo allora dpkg-deb li visualizza nell'ordine in cui sono stati specificati; se alcuni non sono presenti visualizza per ciascuno un messaggio di errore sullo stderr e termina con il codice di stato 2.

-W, --show archivio
    Fornisce informazioni su un archivio di pacchetto binario nel formato specificato dell'argomento --showformat. Il formato predefinito visualizza in una riga il nome del pacchetto e la versione, separati da una tabulazione.

-f, --field archivio [nome-campo-di-controllo...]
    Estrae informazioni dal file di controllo di un archivio di pacchetto binario. If no control-field-names are specified then it will print the whole control file. If any are specified then dpkg-deb will print their contents, in the order in which they appear in the control file. If more than one control-field-name is specified then dpkg-deb will precede each with its field name (and a colon and space). Non vengono riportati errori in caso di campi richiesti ma non trovati.

-c, --contents archivio
    Elenca il contenuto della porzione dell'archivio di pacchetto con l'albero del file system. Attualmente viene prodotto nel formato generato dall'elenco prolisso di tar.

-x, --extract archivio directory
    Estrae l'albero del file system da un archivio di pacchetto nella directory specificata. Notare che l'estrazione di un pacchetto nella directory root non produce un'installazione corretta! Usare dpkg per installare pacchetti. Se necessario verrà creata directory (ma non le directory sovrastanti) e i suoi permessi saranno modificati per corrispondere al contenuto del pacchetto.

-X, --vextract archivio directory
    Come --extract (-x) con --verbose (-v), che visualizza un elenco dei file processati mentre vengono estratti.

-R, --raw-extract archivio directory
    Extracts the filesystem tree from a package archive into a specified directory, and the control information files into a DEBIAN subdirectory of the specified directory (since dpkg 1.16.1). Se necessario verrà creata la directory di destinazione (ma non le directory sovrastanti). The input archive is not (currently) processed sequentially, so reading it from standard input («-») is not supported.

--ctrl-tarfile archivio
    Estrae i dati di controllo da un pacchetto binario e lo invia allo standard output in formato tar (a partire da dpkg 1.17.14). Insieme a tar(1) può essere usata per estrarre un file di controllo specifico da un archivio di pacchetto. L'archivio in input verrà sempre elaborato in modo sequenziale.

--fsys-tarfile archivio
    Estrae l'albero del file system da un pacchetto binario e lo invia allo standard output in formato tar. Insieme a tar(1) può essere usata per estrarre un file specifico da un archivio di pacchetto. L'archivio in input verrà sempre elaborato in modo sequenziale.

-e, --control archivio [directory]
    Estrae i file con le informazioni di controllo da un archivio di pacchetto nella directory specificata. Se non viene specificata alcuna directory, allora sarà usata una sottodirectory DEBIAN nella directory attuale. Se necessario verrà creata la directory di destinazione (ma non le directory sovrastanti).

-?, --help
    Mostra il messaggio sull'uso ed esce.

--version
    Mostra la versione ed esce.

OPZIONI

--showformat=formato
    Questa opzione viene usata per specificare il formato dell'output che verrà prodotto da --show. Il formato è una stringa che verrà prodotta in output per ciascun pacchetto elencato. The string may reference any status field using the “${field-name}” form, a list of the valid fields can be easily produced using -I on the same package. A complete explanation of the formatting options (including escape sequences and field tabbing) can be found in the explanation of the --showformat option in dpkg-query(1). The default for this field is “${Package}\t${Version}\n”.

-zlivello-di-compressione
    Specifica quale livello di compressione usare nel backend di compressione quando si crea un pacchetto (il valore predefinito è 9 per gzip e bzip2, e 6 per xz e lxma). I valori accettati sono compresi tra 0 e 9: 0 corrisponde a nessuna compressione per gzip e a 1 per bzip2. Prima della versione 1.16.2 di dpkg, il livello 0 corrispondeva a nessuna compressione per tutti i compressori.

-Sstrategia-di-compressione
    Specify which compression strategy to use on the compressor backend, when building a package (since dpkg 1.16.2). Allowed values are none (since dpkg 1.16.4), filtered, huffman, rle and fixed for gzip (since dpkg 1.17.0) and extreme for xz.

-Ztipo-di-compressione
    Specify which compression type to use when building a package. Allowed values are gzip, xz (since dpkg 1.15.6), bzip2 (deprecated), lzma (since dpkg 1.14.0; deprecated), and none (default is xz).

--uniform-compression
    Specify that the same compression parameters should be used for all archive members (i.e. control.tar and data.tar; since dpkg 1.17.6). Otherwise only the data.tar member will use those parameters. The only supported compression types allowed to be uniformly used are none, gzip and xz.

--deb-format=format
    Set the archive format version used when building (since dpkg 1.17.0). Allowed values are 2.0 for the new format, and 0.939000 for the old one (default is 2.0). Il vecchio formato degli archivi viene analizzato con più difficoltà dagli strumenti non Debian e ora è obsoleto; il suo unico utilizzo è quello di creare pacchetti che devono essere manipolati da versioni di dpkg precedenti alla 0.93.76 (settembre 1995) che è stata rilasciata solo come a.out per i386.

--new
    Questo è un alias obsoleto per --deb-format=2.0.

--old
    Questo è un alias obsoleto per --deb-format=0.939000.

--nocheck
    Impedisce i consueti controlli di dpkg-deb --build sui contenuti proposti per un archivio. In questo modo si può creare qualsiasi archivio si voglia, indipendentemente da quanto sia difettoso.

-v, --verbose
    Enables verbose output (since dpkg 1.16.1). This currently only affects --extract making it behave like --vextract.

-D, --debug
    Abilita l'output di debug. Non è molto interessante.

STATO D'USCITA

0   L'azione richiesta è stata effettuata con successo.

2   Fatal or unrecoverable error due to invalid command-line usage, or interactions with the system, such as accesses to the database, memory allocations, etc.

AMBIENTE

TMPDIR
    Se impostata, dpkg-deb la userà come directory nella quale creare i file e le directory temporanei.

SOURCE_DATE_EPOCH
    If set, it will be used as the timestamp (as seconds since the epoch) in the deb(5)'s ar(5) container and used to clamp the mtime in the tar(5) file entries.

NOTE
Non tentare di usare solamente dpkg-deb per installare software! Si deve usare dpkg stesso per assicurare che tutti i file siano messi nella posizione corretta, che siano eseguiti gli script del pacchetto e che vengano registrati il suo stato e i suoi contenuti.

BUG
dpkg-deb -I pacchetto1.deb pacchetto2.deb fa la cosa sbagliata. Non c'è autenticazione sui file .deb; di fatto non esiste nemmeno un codice di controllo chiaramente definito. (Strumenti di più alto livello come APT permettono di autenticare i pacchetti .deb recuperati da un dato repository, e la maggior parte dei pacchetti al giorno d'oggi fornisce un file di controllo md5sum generato da debian/rules; questo però non è direttamente supportato dagli strumenti di più basso livello.)

VEDERE ANCHE
deb(5), deb-control(5), dpkg(1), dselect(1).